+ Reply to Thread
Page 2 of 2 FirstFirst 12
Results 11 to 13 of 13

Thread: Cronjob error ?

  1. #11
    Senior Member
    Join Date
    Oct 2019
    Location
    Hungary
    Posts
    124
    I sent a message.

  2. #12
    Senior Member
    Join Date
    Oct 2019
    Location
    Hungary
    Posts
    124
    This bug reappeared in 4.8.1 What is the solution?

    <span style='font-family: tahoma; font-size: 12px;'><h3>System error occurred</h2> <b>rlDb::updateOne failed, data['fields'] and data['where'] - a:1:{s:2:"ID";s:4:"7200";} are required</b><br />line# <font color='green'><b>453</b></font><br />file: <font color='green'><b>/home/*******/public_html/includes/classes/rlDb.class.php</b></font><br />PHP version: 7.4.8 <br /></span>

    Write the error on this line. It was fixed in 4.8.0, but even if I transfer that fix here, it's not good for that anymore.
    trigger_error(__METHOD__ . " failed, data['fields']{$fields} and data['where']{$where} are required", E_USER_ERROR);
    Last edited by Jenő Kocsi; August 30, 2020 at 05:47 AM.

  3. #13
    Senior Member
    Join Date
    Oct 2019
    Location
    Hungary
    Posts
    124
    <span style='font-family: tahoma; font-size: 12px;'><h3>System error occurred</h2> <b>rlDb::updateOne failed, data['fields'] and data['where'] - a:1:{s:2:"ID";s:4:"7261";} are required</b><br />line# <font color='green'><b>455</b></font><br />file: <font color='green'><b>/home/******/public_html/includes/classes/rlDb.class.php</b></font><br />PHP version: 7.4.9 <br /></span>

    was fixed in version 4.8 but is now bugged again in version 4.8.1.

    4.8.1 verzion
    if (!is_array($data['fields']) || !is_array($data['where'])) {
    $fields = $data['fields'] ? ' - ' . serialize($data['fields']) . ',' : '';
    $where = $data['where'] ? ' - ' . serialize($data['where']) : '';

    trigger_error(__METHOD__ . " failed, data['fields']{$fields} and data['where']{$where} are required", E_USER_ERROR);

    return false;
    }
    4.8.0
    if (!is_array($data['fields']) || !is_array($data['where'])) {
    trigger_error(__METHOD__ . " failed, data['fields'] - ".serialize($data['fields'])." or data['where'] - ".serialize($data['where'])." are required for table: ".$table, E_USER_ERROR);




    return false;
    }

+ Reply to Thread